/*
 * Copyright 2004 Norman Wilson
 * See accompanying file doc/LICENSE for details
 */

/*
 * standard Ethernet header format
 */

#define	LEN_EADDR	6	/* length of Ethernet address */
#define	ETHER_DST	0
#define	ETHER_SRC	LEN_EADDR
#define	ETHER_PROT	(LEN_EADDR+LEN_EADDR)	/* high-order byte first */
#define	LEN_ETHER	(ETHER_PROT+2)

#define	fretherprot(p, o)	((((p)[(o)+0]&0377)<<8)|((p)[(o)+1]&0377))
#define	toetherprot(p, o, v)	((p)[(o)+0] = (v)>>8, (p)[(o)+1] = (v))

#define	MINLEN_ETHER	64	/* official minimum packet length */
#define	MAXLEN_ETHER	1514	/* official maximum */
