/*
 * aoe device implementation
 */

typedef struct aoedev *Aoe;	/* opaque to outsiders */

struct aoeconf {	/* visible to outsiders */
	int maj, min;
	int nbuf;
	int flags;
	char *cstr;
	int eproto;
	int eflags;
	argnum_t emod;
};

#define	AF_NOBCAST	01
#define	AF_PEDANTIC	02
#define	AF_VERBOSE	04
#define	AF_LOGALL	010

#define	AFE_SOFT	01
#define	AFE_HARD	02
#define	AFE_IDENT	04
#define	AFE_DROP	010

Aoe aoeinit(Enet, Disk, struct aoeconf *, void (*)(char *, ...));
int aoecmd(Aoe, void *, int);
void aoedump(Aoe, void *, int);
void aoeclose(Aoe);
