/*
 * entry points to a particular driver
 */

typedef struct {
	char **names;
	void *(*init)(char *, char *, disksize_t, void (*)(char *, ...));
	void (*close)(void *);
	int (*read)(void *, disksize_t, void *, int);
	int (*write)(void *, disksize_t, void *, int);
	disksize_t (*size)(void *);
} Diskdriver;
