/*
 * Copyright 2005 Coraid, Inc.
 * See accompanying file doc/LICENSE for conditions
 */

/*
 * global entry points to aoemod
 * from aoeconf, etherdrive
 */

typedef unsigned long Aoecookie;

#ifdef _KERNEL
extern int aoecomm_initchan(int, Aoecookie);
extern int aoecomm_initdriver(int, void (*)(int, mblk_t *));
extern int aoecomm_maxdata(int);
extern int aoecomm_initlog(void (*)(int, int, mblk_t *));
extern void aoecomm_log(int, int, mblk_t *);
extern int aoecomm_devenab(int, int, int, int);
extern int aoecomm_send(int, mblk_t *);
#endif
